Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 01/05/2024 in all areas

  1. COINS Translate | AutoCAD | Autodesk App Store Text Trans | AutoCAD | Autodesk App Store
    2 points
  2. @adeladel Well - I showed you a screenshot of your own drawing that I corrected easily. I don't know of another solution. When you have polylines that don't actually touch, it causes problems for the hatch command to find the boundaries. From you own drawing - see the gaps in the attached images?
    1 point
  3. @Steven P That's true. However in this case the boundary is tended by multiple non-contiguous polylines.
    1 point
  4. If they are polylines set them to Closed to close the gaps
    1 point
  5. @adeladel The problem is not with the HATCH command; the problem is with your room walls not meeting up perfectly. I was able to correct this in a few clicks, by making sure all the polylines were touching. The two rooms in the upper left are not exactly touching and the ends of the polylines were not exact in a couple spots. I recommend you temporarily set your polyline width to 0 then go through and check your walls before setting the width again.
    1 point
  6. You need to set FILEDIA=0 then DXFIN works without a dialog box.
    1 point
  7. For the cons 70, open or closed polyline. Set to 0 to have open, 1 to close, open will give a 'U' shape unless you repeat the first point. (or what he said above, just as I was typing)
    1 point
  8. That 1 means closed polyline. It's the second parameter given to this function: (defun drawLWPoly (lst cls) ... )
    1 point
  9. Its a fairly simple shape to draw using lisp. You get a width and height draw a rectang, draw the nail holes, then say use donuts to draw the solid circles. So a good task to start to learn lisp, please others dont post code. Rather provide hints. So you start with (setq wid (getreal "\nEnter width ")) then add the rest, rail width, rail length, number of studs per rail, stud diameter, stud spacing (center to center), end spacing (end of rail to center of first stud). One comment if you imply number and end space then no need for spacing as you would calculate that value. I will later on provide a smarter dcl for the input. So you have all the values next is pick point (setq pt1 (getpoint "\npick a point ")) I get a piece of paper and do a sketch then write down the ptx number so as I work out say a new X & Y for the holes I write the point number on the sketch. then I know where I am reusing a point, I will give you this function an easier way to add X & Y to a point, (setq pt2 (mapcar '+ pt1 (list X Y 0.0))) just replace X Y with new offset value. The donuts work out 1st point XY, then use (repeat and copy again adding a new Y which is the spacing value. Hope that makes some sense. If you get stuck just post there are plenty of people here who will help. You can use notepad or I use Notepad++ as it has a lisp checker, or use Vlide the inbuilt lisp editor. For Bricscad its Blade.
    1 point
  10. I reckon so, it might be useful, but slow at the moment to do it
    1 point
  11. Assuming I've understood what you're looking to achieve, you could potentially use the sendcommand method to accomplish this, i.e.: (defun c:ctext ( / ent enx str ) (while (not (progn (setvar 'errno 0) (setq ent (car (entsel "\nSelect command text: "))) (cond ( (= 7 (getvar 'errno)) (prompt "\nMissed, try again.") ) ( (null ent)) ( (not (wcmatch (cdr (assoc 0 (setq enx (entget ent)))) "*TEXT")) (prompt "\nThe selected object is not text or mtext.") ) ( (setq str (cdr (assoc 1 enx)))) ) ) ) ) (if str (vla-sendcommand (vla-get-activedocument (vlax-get-acad-object)) (strcat str "\n"))) (princ) ) (vl-load-com) (princ)
    1 point
×
×
  • Create New...